package com.tmerclub.cloud.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;
/**
 * @author lanhai
 */
@Schema(description = "app-自提核销参数")
public class OrderStationWriteOffDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单号列表")
    private List<Long> orderIds;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "自提点id")
    private Long stationId;

    public List<Long> getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(List<Long> orderIds) {
        this.orderIds = orderIds;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    @Override
    public String toString() {
        return "OrderStationDTO{" +
                "orderIds=" + orderIds +
                ", userId=" + userId +
                ", stationId=" + stationId +
                '}';
    }
}
